import App from './App'
import '@/assets/styles/main.scss'
import '@/uni_modules/uni-scss/theme-custom.scss'
import 'katex/dist/katex.min.css';

// #ifdef APP-VUE
plus.screen.lockOrientation('landscape-primary');
// #endif 

// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
  ...App
})
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue';
import * as Pinia from 'pinia';
import registerComponents from '@/components/components.js';
import registerDirectives from '@/directive';
import { setupRouter } from './router'
export function createApp() {
  const app = createSSRApp(App)
	app.use(Pinia.createPinia())
	setupRouter(app)
	registerComponents(app);
	registerDirectives(app);
  return {
    app,
		Pinia
  }
}
// #endif

